summaryrefslogtreecommitdiffstats
path: root/development/dotnet-runtime/dotnet-runtime.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/dotnet-runtime/dotnet-runtime.SlackBuild')
-rw-r--r--development/dotnet-runtime/dotnet-runtime.SlackBuild35
1 files changed, 14 insertions, 21 deletions
diff --git a/development/dotnet-runtime/dotnet-runtime.SlackBuild b/development/dotnet-runtime/dotnet-runtime.SlackBuild
index 74297ad0fb..3c2f45160e 100644
--- a/development/dotnet-runtime/dotnet-runtime.SlackBuild
+++ b/development/dotnet-runtime/dotnet-runtime.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-#
+
# Slackware build script for dotnet-runtime.
#
# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
@@ -23,16 +23,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=dotnet-runtime
-VERSION=${VERSION:-3.1.8}
+VERSION=${VERSION:-3.1.13}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHITECTURE="x64"
+else
+ echo "Package for $ARCH architecture is not available."
+ exit 1
fi
CWD=$(pwd)
@@ -40,20 +43,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-
set -e
-if [ "$( uname -m )" = "x86_64" ]; then
- ARCH="x86_64"
- ARCHITECTURE="x64"
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- BITS="amd64"
-else
- echo "Package for $(uname -m) architecture is not available."
- exit 1
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -64,12 +55,14 @@ mkdir -p usr/share/dotnet
tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C usr/share/dotnet
chown -R root:root usr/share/dotnet
+mkdir -p usr/bin
+ln -s /usr/share/dotnet/dotnet usr/bin/dotnet
+
mkdir -p usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -c n -l n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}